Subject: Re: SECDIR review of draft-cridland-imap-context-03

From: Bob Braden <[email-masked]>
Date: Fri, 18 Jan 2008 11:07:34 -0800 (PST)

*> 
  *> Section 4.4, second paragraph (s/may/MAY)
  *>     Only a single PARTIAL search return option may be present in a single
  *>     command.
  *> Should this be:
  *>     Only a single PARTIAL search return option MAY be present in a single
  *>     command.
  *> 
  *> 
  *> Best regards,
  *> Chris

"can be"?

Bob Braden

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Chris Lonvick <[email-masked]>
Date: Fri, 18 Jan 2008 12:53:25 -0800 (PST)

Hi,

>  *>     Only a single PARTIAL search return option MAY be present in a single

That's possible - I think that the authors need to clarify it better.
It may be May be or may be can be or doo be shoo whop.  :-)

Have a good weekend,
Chris

---

From: Dave Cridland <[email-masked]>
Date: Sat, 19 Jan 2008 11:08:11 +0000

> It may be May be or may be can be or doo be shoo whop.  :-)

This one does need clarification - I try to use RFC2119 language  
sparingly, in an attempt to make it stand out better, but in this  
case it's needed. "may" was English, rather than RFC2119. Another way  
of phrasing would be (and including a minor clarification):

"A single command MUST NOT contain more than one PARTIAL or ALL  
search return option."

Dave.

---

From: Dave Cridland <[email-masked]>
Date: Sat, 19 Jan 2008 11:08:11 +0000

Dave.